import 'package:flutter/material.dart';
import 'package:flutter_easyrefresh/easy_refresh.dart';
import 'package:flutter_easyrefresh/delivery_header.dart';
import 'package:flutter_easyrefresh/phoenix_footer.dart';

/// 气球快递页面
class DeliveryPage extends StatefulWidget {
  @override
  _DeliveryPageState createState() => _DeliveryPageState();
}

class _DeliveryPageState extends State<DeliveryPage> {

  List<String> addStr=["1","2","3","4","5","6","7","8","9","0"];
  List<String> str=["1","2","3","4","5","6","7","8","9","0"];
  GlobalKey<EasyRefreshState> _easyRefreshKey = new GlobalKey<EasyRefreshState>();
  GlobalKey<RefreshHeaderState> _headerKey = new GlobalKey<RefreshHeaderState>();
  GlobalKey<RefreshFooterState> _footerKey = new GlobalKey<RefreshFooterState>();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Delivery"),
      ),
      backgroundColor: Color(0xFFEEEEEE),
      body: Center(
        child: new EasyRefresh(
          key: _easyRefreshKey,
          refreshHeader: DeliveryHeader(
            key: _headerKey,
          ),
          refreshFooter: PhoenixFooter(
            key: _footerKey,
          ),
          child: new ListView.builder(
            //ListView的Item
              itemCount: str.length,
              itemBuilder: (BuildContext context,int index){
                return new Container(
                    height: 70.0,
                    child: Card(
                      child: new Center(
                        child: new Text(str[index],style: new TextStyle(fontSize: 18.0),),
                      ),
                    )
                );
              }
          ),
          onRefresh: () async{
            await new Future.delayed(const Duration(seconds: 3), () {
              if (!mounted) return;
              setState(() {
                str.clear();
                str.addAll(addStr);
              });
            });
          },
          loadMore: () async {
            await new Future.delayed(const Duration(seconds: 1), () {
              if (str.length < 20) {
                setState(() {
                  str.addAll(addStr);
                });
              }
            });
          },
      )
      ),
    );
  }
}